package com.ruoyi.project.invoice.mapper;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.invoice.domain.TInvoiceDevice;

import java.util.List;

/**
 * 装置区域管理Mapper接口
 *
 * @author ruoyi
 * @date 2022-09-06
 */
public interface TInvoiceDeviceMapper
{
    /**
     * 查询装置区域管理
     *
     * @param id 装置区域管理ID
     * @return 装置区域管理
     */
    public TInvoiceDevice selectTInvoiceDeviceById(Long id);
    public TInvoiceDevice selectRegionalHeadByWorkArea(String workArea);

    @DataScope(deptAlias = "d")
    public List<TInvoiceDevice> selectAllRegionalHead(TInvoiceDevice tInvoiceDevice);

    /**
     * 查询装置区域管理列表
     *
     * @param tInvoiceDevice 装置区域管理
     * @return 装置区域管理集合
     */
    @DataScope(deptAlias = "d")
    public List<TInvoiceDevice> selectTInvoiceDeviceList(TInvoiceDevice tInvoiceDevice);

    /**
     * 新增装置区域管理
     *
     * @param tInvoiceDevice 装置区域管理
     * @return 结果
     */
    public int insertTInvoiceDevice(TInvoiceDevice tInvoiceDevice);

    /**
     * 修改装置区域管理
     *
     * @param tInvoiceDevice 装置区域管理
     * @return 结果
     */
    public int updateTInvoiceDevice(TInvoiceDevice tInvoiceDevice);

    /**
     * 删除装置区域管理
     *
     * @param id 装置区域管理ID
     * @return 结果
     */
    public int deleteTInvoiceDeviceById(Long id);

    /**
     * 批量删除装置区域管理
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTInvoiceDeviceByIds(Long[] ids);

    /**
     * 查询所有区域下拉列表
     *
     * @param
     * @return 结果
     */
    List<String> selectTInvoiceDeviceAllList();
}
